Mp3 Dateien importieren

  • Ich benutze openSUSE 10.3 und habe die Version 1.3.3.46 die mit der Distribution ausgeliefert wurde.


    Nachdem ich die Bibliothek libmad 0.15.1b und lame 3.97 ebenfalls installiert habe, kann ich zwar
    Mp3 exportieren, aber nicht importieren. Denn dann bekomme ich die Fehlermeldung:" This version of Audacity was not compiled with MP3 support."


    Wenn ich aber Version 1.3.4.1 verwende, kann ich zwar Mp3 Dateien importieren, aber dort bekomme ich die Meldung das sich mein Audiogerät nicht öffnen lässt, d.h. ich kann da nichts abspielen. Allerdings habe ich schon alle Audiotreiber einzeln ausprobiert, aber: kein Chance.


    Diese Meldung bekomme ich alledrings nicht bei der Version 1.3.3.46. Mit dieser kann ich alles abspielen. Ein vergleichbares Programm habe ich auch nicht gefunden.
    Als ich mit der Suse Version 10.2. die Audacity Version 1.2.6, die ich mittlerweile im Netz nicht mehr finde als .rpm Datei, verwendete funktionierte alles einwandfrei.


    Hat jemand eine Idee wie ich da raus komme?

  • Quote from karl07


    Nachdem ich die Bibliothek libmad 0.15.1b und lame 3.97 ebenfalls installiert habe, kann ich zwar
    Mp3 exportieren, aber nicht importieren. Denn dann bekomme ich die Fehlermeldung:" This version of Audacity was not compiled with MP3 support."


    Wenn ich aber Version 1.3.4.1 verwende, kann ich zwar Mp3 Dateien importieren, aber dort bekomme ich die Meldung das sich mein Audiogerät nicht öffnen lässt, d.h. ich kann da nichts abspielen. Allerdings habe ich schon alle Audiotreiber einzeln ausprobiert, aber: kein Chance.


    Naja, wir haben SUSE nicht gebeten, mit ihrer Distro eine instabile Beta-Version auszuliefern, die sogar teilweise noch ohne MP3-Support kompiliert wurde...


    Quote


    Hat jemand eine Idee wie ich da raus komme?


    Das Programm selbst kompilieren, am Besten die neuesten CVS-Sourcen, ist momentan die beste Alternative, solange die nächste stabile Version 1.4.0 noch nicht raus ist.

  • Quote from karl07:1195773598


    Wenn ich aber Version 1.3.4.1 verwende, kann ich zwar Mp3 Dateien importieren, aber dort bekomme ich die Meldung das sich mein Audiogerät nicht öffnen lässt, d.h. ich kann da nichts abspielen. Allerdings habe ich schon alle Audiotreiber einzeln ausprobiert, aber: kein Chance.


    Starte "audacity" mal in einem graphischen Terminal, um dort die Ausgabe sehen und kopieren zu können. 1.3.4 ist von einigen Problemen betroffen, die ganz sicher nicht nur OpenSUSE betreffen. Zumindest unter Fedora und Ubuntu gibt es derweil Bestätigungen. Es würde mich nicht wundern, wenn unter OpenSUSE auch beim Start von Audacity der "jackd" (JACK daemon) gestartet würde. Falls das der Fall ist, kannst Du ihn probeweise mit "killall jackd" beenden, während Du Audacity weiterlaufen läßt, um danach den ALSA oder OSS Treiber zu wählen.


    Ist JACK nicht das Problem, versuch mal, im Hauptfenster links unten die "Projekt-Frequenz" auf 48000 Hz zu wechseln.